Resources

Webhooks

Receive signed event notifications when documents are sent, viewed, completed, voided, or expired.

3 endpoints on Developer, 20 on paidHMAC-SHA256 signatures7 retries over 24h
GET/api/v1/webhooks#

List webhook endpoints

GET /api/v1/webhooks
curl -X GET \
  https://www.sigpen.com/api/v1/webhooks \
  -H "Authorization: Bearer sp_test_your_key"
POST/api/v1/webhooks#

Register a webhook endpoint

ParameterTypeDescription
urlrequiredstring
eventsrequiredarray of enum: document.sent · document.viewed · document.signed · document.completed · document.declined · document.voided · document.expired
descriptionoptionalstring
POST /api/v1/webhooks
curl -X POST \
  https://www.sigpen.com/api/v1/webhooks \
  -H "Authorization: Bearer sp_test_your_key" \
  -H "Content-Type: application/json" \
  -d '{
    "url": "https://example.com/webhooks/sigpen",
    "events": [
      "document.sent"
    ],
    "description": "Production endpoint"
  }'
GET/api/v1/webhooks/{id}#

Get webhook details

ParameterTypeDescription
idrequiredpathstring
GET /api/v1/webhooks/{id}
curl -X GET \
  https://www.sigpen.com/api/v1/webhooks/wh_123 \
  -H "Authorization: Bearer sp_test_your_key"
PATCH/api/v1/webhooks/{id}#

Update webhook endpoint

ParameterTypeDescription
idrequiredpathstring
PATCH /api/v1/webhooks/{id}
curl -X PATCH \
  https://www.sigpen.com/api/v1/webhooks/wh_123 \
  -H "Authorization: Bearer sp_test_your_key"
DELETE/api/v1/webhooks/{id}#

Delete webhook endpoint

ParameterTypeDescription
idrequiredpathstring
DELETE /api/v1/webhooks/{id}
curl -X DELETE \
  https://www.sigpen.com/api/v1/webhooks/wh_123 \
  -H "Authorization: Bearer sp_test_your_key"
POST/api/v1/webhooks/{id}/test#

Send test webhook event

ParameterTypeDescription
idrequiredpathstring
POST /api/v1/webhooks/{id}/test
curl -X POST \
  https://www.sigpen.com/api/v1/webhooks/wh_123/test \
  -H "Authorization: Bearer sp_test_your_key"